curl --request POST \
--url https://api.chartbrew.com/team/{team_id}/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": 123,
"project_ids": [
123
],
"name": "<string>",
"connection_id": 123,
"type": "<string>",
"query": "<string>",
"datasetColor": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"legend": "<string>",
"configuration": {}
}
'import requests
url = "https://api.chartbrew.com/team/{team_id}/datasets"
payload = {
"team_id": 123,
"project_ids": [123],
"name": "<string>",
"connection_id": 123,
"type": "<string>",
"query": "<string>",
"datasetColor": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"legend": "<string>",
"configuration": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
team_id: 123,
project_ids: [123],
name: '<string>',
connection_id: 123,
type: '<string>',
query: '<string>',
datasetColor: '<string>',
dateField: '<string>',
dateFormat: '<string>',
legend: '<string>',
configuration: {}
})
};
fetch('https://api.chartbrew.com/team/{team_id}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"team_id": 123,
"project_ids": [
123
],
"chart_id": 123,
"connection_id": 123,
"draft": true,
"name": "<string>",
"query": "<string>",
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "none",
"dateField": "<string>",
"dateFormat": "<string>",
"legend": "<string>",
"fieldsSchema": {},
"excludedFields": [
"<string>"
],
"configuration": {},
"joinSettings": {
"joins": [
{
"dr_id": 123,
"join_id": 123,
"dr_field": "<string>",
"join_field": "<string>"
}
]
}
}Create a dataset
Create a new dataset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the team
Body
Response
Created dataset
Canonical dataset name. Prefer this over legend when referring to the reusable dataset itself.
[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.
[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.
[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.
[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.
[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.
[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.
[Legacy compatibility] Previous dataset name field. Prefer Dataset.name for reusable dataset naming.
Show child attributes
Show child attributes